com.trendmicro.ds.network.rest.api

## Interface IWidgetsAPI

-     public interface IWidgetsAPI

  A general widgets interface to retrieve same widget data from network module

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BarDataListing` | `getPacketHistoryWidget(java.lang.String sID, int timescale)` Get Firewall events history data based on PacketHistoryWidget
    `BarDataListing` | `getPayloadLogHistoryWidget(java.lang.String sID, int timescale)` Get Intrusion Prevention events history data based on PayloadLogHistoryWidget
    `CounterApplicationTypeListing` | `getTop5ApplicationTypesDetectedWidge(java.lang.String sID, int timescale)` Get Top 5 detected Application Type activity on Top5ApplicationTypesDetectedWidget
    `CounterApplicationTypeListing` | `getTop5ApplicationTypesPreventedWidge(java.lang.String sID, int timescale)` Get Top 5 prevented Application Type activity on Top5ApplicationTypesPreventedWidget
    `CounterPacketListing` | `getTop5PacketsDetectedWidget(java.lang.String sID, int timescale)` Get Top 5 detected firewall activity based on Top5PacketsDetectedWidget
    `CounterPacketListing` | `getTop5PacketsPreventedWidget(java.lang.String sID, int timescale)` Get Top 5 prevented firewall activity based on Top5PacketsPreventedWidget
    `CounterPayloadListing` | `getTop5PayloadDetectedWidget(java.lang.String sID, int timescale)` Get Top 5 detected IPS activity on Top5PayloadDetectedWidget
    `CounterPayloadListing` | `getTop5PayloadPreventedWidget(java.lang.String sID, int timescale)` Get Top 5 prevented IPS activity on Top5PayloadPreventedWidget
    `BarDataListing` | `getTrafficAnalysisHistoryWidget(java.lang.String sID, int timescale)` Get Traffic Analysis events history data based on TrafficAnalysisHistoryWidget

- - ### Method Detail

    - #### getTop5PacketsDetectedWidget

          CounterPacketListing getTop5PacketsDetectedWidget(java.lang.String sID,
                                                            int timescale)
                                                     throws java.lang.Exception

      Get Top 5 detected firewall activity based on Top5PacketsDetectedWidget
      Parameters:
        `sID` - session ID.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterPacketElement, a collection of the top 5 firewall activity.
      Throws:
        `java.lang.Exception`

    - #### getTop5PacketsPreventedWidget

          CounterPacketListing getTop5PacketsPreventedWidget(java.lang.String sID,
                                                             int timescale)
                                                      throws java.lang.Exception

      Get Top 5 prevented firewall activity based on Top5PacketsPreventedWidget
      Parameters:
        `sID` - session ID.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterPacketElement, a collection of the top 5 firewall activity.
      Throws:
        `java.lang.Exception`

    - #### getTop5ApplicationTypesDetectedWidge

          CounterApplicationTypeListing getTop5ApplicationTypesDetectedWidge(java.lang.String sID,
                                                                             int timescale)
                                                                      throws java.lang.Exception

      Get Top 5 detected Application Type activity on Top5ApplicationTypesDetectedWidget
      Parameters:
        `sID` - session ID.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterApplicationTypeElement, a collection of the top 5 Application type activity.
      Throws:
        `java.lang.Exception`

    - #### getTop5ApplicationTypesPreventedWidge

          CounterApplicationTypeListing getTop5ApplicationTypesPreventedWidge(java.lang.String sID,
                                                                              int timescale)
                                                                       throws java.lang.Exception

      Get Top 5 prevented Application Type activity on Top5ApplicationTypesPreventedWidget
      Parameters:
        `sID` - session ID.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterApplicationTypeElement, a collection of the top 5 Application type activity.
      Throws:
        `java.lang.Exception`

    - #### getTop5PayloadDetectedWidget

          CounterPayloadListing getTop5PayloadDetectedWidget(java.lang.String sID,
                                                             int timescale)
                                                      throws java.lang.Exception

      Get Top 5 detected IPS activity on Top5PayloadDetectedWidget
      Parameters:
        `sID` - session ID.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterPayloadElement, a collection of the top 5 IPS activity.
      Throws:
        `java.lang.Exception`

    - #### getTop5PayloadPreventedWidget

          CounterPayloadListing getTop5PayloadPreventedWidget(java.lang.String sID,
                                                              int timescale)
                                                       throws java.lang.Exception

      Get Top 5 prevented IPS activity on Top5PayloadPreventedWidget
      Parameters:
        `sID` - session ID.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterPayloadElement, a collection of the top 5 IPS activity.
      Throws:
        `java.lang.Exception`

    - #### getPacketHistoryWidget

          BarDataListing getPacketHistoryWidget(java.lang.String sID,
                                                int timescale)
                                         throws java.lang.Exception

      Get Firewall events history data based on PacketHistoryWidget
      Parameters:
        `sID` - session ID.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of bar data
      Throws:
        `java.lang.Exception`

    - #### getPayloadLogHistoryWidget

          BarDataListing getPayloadLogHistoryWidget(java.lang.String sID,
                                                    int timescale)
                                             throws java.lang.Exception

      Get Intrusion Prevention events history data based on PayloadLogHistoryWidget
      Parameters:
        `sID` - session ID.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of bar data
      Throws:
        `java.lang.Exception`

    - #### getTrafficAnalysisHistoryWidget

          BarDataListing getTrafficAnalysisHistoryWidget(java.lang.String sID,
                                                         int timescale)
                                                  throws java.lang.Exception

      Get Traffic Analysis events history data based on TrafficAnalysisHistoryWidget
      Parameters:
        `sID` - session ID.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of bar data
      Throws:
        `java.lang.Exception`

Copyright © 2015 Trend Micro Inc. All Rights Reserved.